Uploaded image for project: 'Parquet'
  1. Parquet
  2. PARQUET-540

Cascading3 module doesn't build when using thrift 0.9.0

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.9.0
    • Component/s: parquet-cascading
    • Labels:
      None

      Description

      The cascading-3 module pulls in 0.7.0 because it doesn't have an explicit dependency on libthrift, although it does require libthrift. This module should have a dependency on libthrift and use the thrift.version property.

      Side note: I also noticed that it inherits SLF4J from thrift 0.7.0 and should instead have a dependency on slf4j-api and a test dependency on slf4j-simple.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rdblue Ryan Blue
                Reporter:
                rdblue Ryan Blue
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: